Vsan System Ex Vsan Host Wipe Disk

Vsan System Ex Vsan Host Wipe Disk
Initiate task for securely wipe disk.

Initiate task for securely wipe disk.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostWipeDisk
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSystemEx/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanHostWipeDiskRequestType of type(s) application/json
Required

Show optional properties

{
    "disks": [
        {}
    ]
}
{
    "disks": [
        "string"
    ]
}
array of string
disks
Required

disks

Authentication
This operation uses the following authentication methods.
Responses
200

a Task to track secure wipe progress, and the task is not cancelable.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

VsanFault: if any one of the disks is ineligible for wipe. Upon successful completion of the returned Task, its * result field will be populated with * string which is disk canonical name list. Upon failure of the returned Task, its * error field will be populated with * MethodFault for specific disk fault information.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"disks":["string"]}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSystemEx/{moId}/VsanHostWipeDisk